# VectorNav C++ Library: vn::sensors::DeltaThetaAndDeltaVelocityConfigurationRegister Struct Reference

vn::sensors::DeltaThetaAndDeltaVelocityConfigurationRegister Struct Reference
Register Structures

Structure representing the Delta Theta and Delta Velocity Configuration register. More...

`#include <registers.h>`

## Public Member Functions

| DeltaThetaAndDeltaVelocityConfigurationRegister (protocol::uart::IntegrationFrame integrationFrameIn, protocol::uart::CompensationMode gyroCompensationIn, protocol::uart::CompensationMode accelCompensationIn)
| Creates an initializes a new DeltaThetaAndDeltaVelocityConfigurationRegister structure. More...

## Public Attributes

protocol::uart::IntegrationFrame | integrationFrame
| The integrationFrame field.
protocol::uart::CompensationMode | gyroCompensation
| The gyroCompensation field.
protocol::uart::CompensationMode | accelCompensation
| The accelCompensation field.

## Detailed Description

Structure representing the Delta Theta and Delta Velocity Configuration register.

## Constructor & Destructor Documentation

vn::sensors::DeltaThetaAndDeltaVelocityConfigurationRegister::DeltaThetaAndDeltaVelocityConfigurationRegister | ( | protocol::uart::IntegrationFrame | integrationFrameIn,
|  | protocol::uart::CompensationMode | gyroCompensationIn,
|  | protocol::uart::CompensationMode | accelCompensationIn
| ) |  |

inline

Creates an initializes a new DeltaThetaAndDeltaVelocityConfigurationRegister structure.

Parameters

  [in] | integrationFrameIn | Value to initialize the integrationFrame field with.
  [in] | gyroCompensationIn | Value to initialize the gyroCompensation field with.
  [in] | accelCompensationIn | Value to initialize the accelCompensation field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h